﻿TheErrorIsALie = LibStub("AceAddon-3.0"):NewAddon("TheErrorIsALie", "AceEvent-3.0", "AceConsole-3.0")

local Filters = {
	ERR_QUEST_PUSH_NOT_IN_PARTY_S, --"You are not in a party
	ERR_NOT_IN_GROUP, --You aren't in a party.
	ERR_GUILD_PLAYER_NOT_IN_GUILD, --You are not in a guild.
	ERR_NOT_IN_RAID, --You are not in a raid group
};

function TheErrorIsALie:OnInitialize()
	TheErrorIsALie:RegisterEvent("CHAT_MSG_SYSTEM", "ChatMsgSystem")
end

function TheErrorIsALie:OnEnable()
	ChatFrame_AddMessageEventFilter("CHAT_MSG_SYSTEM", TheErrorIsALie.ChatFilter);
end

function TheErrorIsALie:OnDisable()
	ChatFrame_AddMessageEventFilter("CHAT_MSG_SYSTEM", TheErrorIsALie.ChatFilter);
end

function TheErrorIsALie:ChatMsgSystem(event, ...)
	ChatFrame_AddMessageEventFilter("CHAT_MSG_SYSTEM", TheErrorIsALie.ChatFilter);
end

function TheErrorIsALie.ChatFilter(self, event, ...)
	local msg = ...;
	local Filter = false;
	for k, v in pairs(Filters) do
		if (string.find(string.lower(tostring(msg)), string.lower(tostring(v)))) then
			Filter = true;
			break;
		end
	end
	return Filter;
end